# $Revision: 1.35 $, $Date: 2012/05/11 06:57:25 $
Summary:	Photo manager for GNOME
Name:		shotwell
Version:	0.12.3
Release:	1
License:	LGPL v2+ and CC-BY-SA
Group:		X11/Applications
Source0:	http://yorba.org/download/shotwell/0.12/%{name}-%{version}.tar.bz2
# Source0-md5:	de0e05350f8a7d557092489baf14d039
Patch0:		%{name}-cflags.patch
URL:		http://yorba.org/shotwell/
# The dependencies are listed in Makefile
BuildRequires:	bash
BuildRequires:	gettext-devel
BuildRequires:	gexiv2-devel
BuildRequires:	glib2-devel >= 2.30.0
BuildRequires:	gstreamer-devel >= 0.10.28
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.32
BuildRequires:	gtk+3-devel >= 3.0.11
BuildRequires:	gtk-webkit3-devel >= 1.4.0
BuildRequires:	json-glib-devel >= 0.6.16
BuildRequires:	libexif-devel >= 0.6.16
BuildRequires:	libgphoto2-devel >= 2.4.2
BuildRequires:	libraw-devel >= 0.9.0
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libunique3-devel >= 3.0.0
BuildRequires:	libusb-compat-devel
BuildRequires:	libxml2-devel >= 1:2.6.32
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	rest-devel >= 0.7
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.5.9
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	vala >= 1:0.15.2
BuildRequires:	vala-gexiv2 >= 0.3.92
BuildRequires:	vala-libgee >= 0.5.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%prep
%setup -q
%patch0 -p1

%build
# this is not autoconf generated
./configure \
	--prefix=%{_prefix} \
	--lib=%{_lib} \
	--disable-schemas-install \
	--disable-desktop-update \
	--disable-icon-update

%{__make} \
	CC="%{__cc}" \
	RPMCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# ta_IN is a duplicate of ta
# te_IN is incomplete duplicate of te
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ta_IN,te_IN}

%find_lang shotwell --with-gnome
%find_lang shotwell-extras

cat shotwell.lang shotwell-extras.lang > shotwell-all.lang

%{__rm} $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/gschemas.compiled

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f shotwell-all.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_bindir}/shotwell*
%{_desktopdir}/%{name}-viewer.desktop
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/builtin
%{_libdir}/%{name}/plugins/builtin/*.png
%{_libdir}/%{name}/plugins/builtin/*.glade
%attr(755,root,root) %{_libdir}/%{name}/plugins/builtin/*.so
%{_iconsdir}/hicolor/*/*/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shotwell.spec,v $
Revision 1.35  2012/05/11 06:57:25  jajcus
- gexiv2-devel is still needed

Revision 1.34  2012/05/10 17:36:10  wrobell
- ver. 0.12.3

Revision 1.33  2012/04/12 08:44:45  jajcus
- Version: 0.12.2

Revision 1.32  2012/03/30 13:16:16  qboosh
- better comment for ta_IN/te_IN locales

Revision 1.31  2012/03/29 16:40:36  megabajt
- run glib-compile-schemas in %post/%postun
- release 2

Revision 1.30  2012/03/29 08:08:59  jajcus
- Version: 0.12.1

Revision 1.29  2012/03/28 10:14:47  jajcus
- BR: vala-libgee
- Release: 2

Revision 1.28  2012/03/28 07:57:18  jajcus
- build & install fixes
- Release: 1

Revision 1.27  2012/03/28 07:11:03  jajcus
- Version: 0.12.0
- Release: 0.1 (NFY)

Revision 1.26  2011/12/18 16:36:13  wrobell
- ver. 0.11.6

Revision 1.25  2011/10/19 10:34:05  jajcus
- Version: 0.11.5

Revision 1.24  2011/10/14 10:39:36  wiget
- BR vala < 0.13

Revision 1.23  2011/10/14 07:18:44  jajcus
- Version: 0.11.4

Revision 1.22  2011/10/12 07:03:07  jajcus
- Version: 0.11.3

Revision 1.21  2011/09/04 20:44:41  wrobell
- ver. 0.11.0

Revision 1.20  2011/07/24 18:52:09  megabajt
- fixed BR (changed gexiv2-devel to vala-gexiv2)
- package all translations

Revision 1.19  2011/06/06 17:59:39  wrobell
- ver. 0.10.1

Revision 1.18  2011/05/30 23:04:13  wrobell
- ver. 0.10

Revision 1.17  2011/04/25 17:52:49  jajcus
- Version: 0.9.3

Revision 1.16  2011/04/13 09:20:02  jajcus
- Version: 0.9.2

Revision 1.15  2011/04/05 07:11:42  jajcus
- force -fPIC

Revision 1.14  2011/04/05 07:05:57  jajcus
- Version: 0.9.1

Revision 1.13  2011/03/24 10:40:42  wiget
- fix building on x86_64
- BR m4 (used in Makefile) and bash (used by configure)

Revision 1.12  2011/03/23 23:30:25  wiget
- fix source URL

Revision 1.11  2011/03/23 23:26:18  wiget
- fix vala epoch in BR

Revision 1.10  2011/03/23 10:17:03  jajcus
- Version: 0.9.0 (note: it requires Vala 0.11.7, currently on our DEVEL branch)

Revision 1.9  2011/03/23 09:21:45  jajcus
- Release: 3 (rebuild with new exiv/gexiv)

Revision 1.8  2011/02/04 18:24:03  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.7  2011/01/11 11:04:20  jajcus
- Version: 0.8.1

Revision 1.6  2011/01/03 09:28:19  jajcus
- Release: 2

Revision 1.5  2011/01/02 10:51:10  jajcus
- Version: 0.8.0

Revision 1.4  2010/09/14 11:21:07  jajcus
- Version: 0.7.2

Revision 1.3  2010/09/06 11:32:09  jajcus
- Version: 0.7.1

Revision 1.2  2010/08/02 20:34:51  caleb
- Up to 0.6.1, NFY

Revision 1.1  2010/06/13 15:24:00  megabajt
- new

